<p>Pokemones encontrados!</p>


<mat-form-field class="example-full-width">
  <mat-label>Search by name</mat-label>
  <input matInput #txtVal placeholder="Write and press Enter" (keydown.enter)="applyFilter(txtVal.value)">
</mat-form-field>

<table mat-table [dataSource]="sortedData" class="mat-elevation-z8" matSort (matSortChange)="sortData($event)">

    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->
  
    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header="name"> Name </th>
      <td mat-cell *matCellDef="let element" ngClass="td-name"> <a [routerLink]="['/pokemon', element.pokemon.url]">{{element.pokemon.name}} </a></td>
    </ng-container>
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  
  